/*
 * File:   main.c
 * Author: yts
 *
 * Created on 2017/10/04, 8:41
 */


#include "xc.h"
#include "dsp.h"
#include "adcdacDrv.h"

void SYS_Initialize ();

int main(void)
{
    SYS_Initialize();
    
    extern fractional BufferA[NUMSAMP];	// Ping pong buffer A
    extern fractional BufferB[NUMSAMP];	// Ping pong buffer B
    extern unsigned int DmaBuffer;         // DMA flag
    extern int flag;                        // Flag
    int i;
 	
    while (1){ 			 
        if(flag){
            
            for(i = 0; i < NUMSAMP; i++){

                while(DAC1STATbits.REMPTY != 1);                // Wait for D/A conversion

                if(DmaBuffer == 0) DAC1RDAT = BufferA[i];	    // Load the DAC buffer with data
                else DAC1RDAT = BufferB[i];                     // Load the DAC buffer with data
            }	
            
		flag = 0;
       }		
    }
   
    return 0;
}

